Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-0054

Overview

Vulnerability Score 6.4 6.4
CVE Id CVE-2008-0054
Last Modified 07 Mar 2011 10:03:50
Published 18 Mar 2008 07:44:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-0054

Summary

Foundation in Apple Mac OS X 10.4.11 might allow context-dependent attackers to execute arbitrary code via a malformed selector name to the NSSelectorFromString API, which causes an "unexpected selector" to be used.

Vulnerable Systems

Operating System

  • Apple Mac Os X 10.4.11

  • Apple Mac Os X Server 10.4.11


References

CERT - TA08-079A

APPLE - APPLE-SA-2008-03-18

XF - macos-nsselectorfromstring-code-execution(41355)

VUPEN - ADV-2008-0924

SECTRACK - 1019649

BID - 28341

BID - 28304

SECUNIA - 29420

CONFIRM - http://docs.info.apple.com/article.html?artnum=307562

Related Patches

Apple 2008-03-18 Security Update 2008-002 v1.0 Server (Tiger PPC)

Apple 2008-03-18 Security Update 2008-002 v1.0 Client (Tiger PPC)

Apple 2008-03-18 Security Update 2008-002 v1.0 Server (Tiger Universal)

Apple 2008-03-18 Security Update 2008-002 v1.0 Client (Tiger Universal)


Last Updated: 27 May 2016 10:46:39